import { systemRouter } from 'ripples-core'
// import {pscRouter} from 'ripples-psc'
import { emsReceivableRouter } from './routerExport';
import {Home, Main} from "ems-components"

//###--- 替换ripples-core的路由组件，实现个性化
systemRouter.appRouter.component = Main  
systemRouter.otherRouter.component = Main

systemRouter.otherRouter.children.some(item => {
  if(item.name === "home_index") {
    item.component = Home
    return true;
  }
})
//-------###

systemRouter.appRouter.children = systemRouter.appRouter.children.concat(emsReceivableRouter)

const appRouter = systemRouter.appRouter;

const routers = systemRouter.routers.concat(appRouter)

const beforeEach = systemRouter.afterEach

const afterEach = systemRouter.afterEach;

export {
  appRouter,
  routers,
  beforeEach,
  afterEach,
  emsReceivableRouter
}