export function exportFile(res,fname="文件"){   
  let fileName = res.headers["content-disposition"] || "filename=\"文件\"";
  fileName = decodeURI(fileName.substring(fileName.indexOf('filename=')+9));
  //fileName.substring(fileName.indexOf('filename="')+10,fileName.lastIndexOf('"'));
  const blob = new Blob([res.data]); 
  if('msSaveOrOpenBlob' in navigator){
    // Microsoft Edge and Microsoft Internet Explorer 10-11
    window.navigator.msSaveOrOpenBlob(blob, fileName);
  }else{
    const elink = document.createElement('a');
    elink.download = fileName;
    elink.style.display = 'none';
    elink.href = URL.createObjectURL(blob); 
    document.body.appendChild(elink);
    elink.click();
    URL.revokeObjectURL(elink.href); // 释放URL 对象
    document.body.removeChild(elink);
  } 
}