export default class Server {
  constructor() { }
  fetchData(url, param) {
    const URI = `${process.env.API.emsReceivable + url}`;
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }
  /**
   * 收款过滤条件修改查询
   */
  updateReceivablePushTssSql(param = {}) {
    return this.fetchData('/receivable/updateReceivablePushTssSql', param);
  }

  getReceivablePushTssSql(param = {}) {
    return this.fetchData('/receivable/getReceivablePushTssSql', param);
  }
}
