import Server from '../../server.js';
class ServerChild extends Server {
  constructor() {
    super();
  }
  fetchData(url, param) {
    const URI = `${process.env.API.emsReceivable + url}`;
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }

  //批量认领
  submitBatchClaimInfor(param = {}) {
    return this.fetchData("/receivableClaim/submitBatchClaimInfor", param);
  }
}
export default ServerChild;
